/**
 */
package ecoreI;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EOperation;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see ecoreI.EcoreIFactory
 * @model kind="package"
 *        annotation="http://www.eclipse.org/emf/2011/Xcore GenModel='http://www.eclipse.org/emf/2002/GenModel' anno='http://www.eclipse.org/emf/2002/GenModel'"
 * @generated
 */
public interface EcoreIPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "ecoreI";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.eclipse.org/emf/2002/EcoreI";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ecoreI";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	EcoreIPackage eINSTANCE = ecoreI.impl.EcoreIPackageImpl.init();

	/**
	 * The meta object id for the '{@link ecoreI.impl.BegriffContainerImpl <em>Begriff Container</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.BegriffContainerImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getBegriffContainer()
	 * @generated
	 */
	int BEGRIFF_CONTAINER = 0;

	/**
	 * The feature id for the '<em><b>Alle Begriffe</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_BEGRIFFE = 0;

	/**
	 * The feature id for the '<em><b>Alle Bilder</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_BILDER = 1;

	/**
	 * The feature id for the '<em><b>Alle Audios</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_AUDIOS = 2;

	/**
	 * The feature id for the '<em><b>Alle Videos</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_VIDEOS = 3;

	/**
	 * The feature id for the '<em><b>Alle Prioritaeten</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_PRIORITAETEN = 4;

	/**
	 * The feature id for the '<em><b>Alle Wortarten</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_WORTARTEN = 5;

	/**
	 * The feature id for the '<em><b>Alle Themen</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_THEMEN = 6;

	/**
	 * The feature id for the '<em><b>Alle Kategorien</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_KATEGORIEN = 7;

	/**
	 * The feature id for the '<em><b>Alle Antworten</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER__ALLE_ANTWORTEN = 8;

	/**
	 * The number of structural features of the '<em>Begriff Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER_FEATURE_COUNT = 9;

	/**
	 * The operation id for the '<em>Get Vorgaenger</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER___GET_VORGAENGER__ELIST_BEGRIFF = 0;

	/**
	 * The operation id for the '<em>Get Nachfolger</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER___GET_NACHFOLGER__ELIST_BEGRIFF = 1;

	/**
	 * The operation id for the '<em>Get True</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER___GET_TRUE = 2;

	/**
	 * The operation id for the '<em>Filter Begriffe</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER___FILTER_BEGRIFFE__ELIST_STRING_STRING_STRING = 3;

	/**
	 * The operation id for the '<em>Add Antwort</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER___ADD_ANTWORT = 4;

	/**
	 * The operation id for the '<em>Get False</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER___GET_FALSE = 5;

	/**
	 * The number of operations of the '<em>Begriff Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_CONTAINER_OPERATION_COUNT = 6;

	/**
	 * The meta object id for the '{@link ecoreI.impl.BegriffImpl <em>Begriff</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.BegriffImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getBegriff()
	 * @generated
	 */
	int BEGRIFF = 1;

	/**
	 * The feature id for the '<em><b>Audio</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__AUDIO = 0;

	/**
	 * The feature id for the '<em><b>Bild</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__BILD = 1;

	/**
	 * The feature id for the '<em><b>Video</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__VIDEO = 2;

	/**
	 * The feature id for the '<em><b>In Themen</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__IN_THEMEN = 3;

	/**
	 * The feature id for the '<em><b>In Kategorien</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__IN_KATEGORIEN = 4;

	/**
	 * The feature id for the '<em><b>Hoeren</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__HOEREN = 5;

	/**
	 * The feature id for the '<em><b>Lesen</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__LESEN = 6;

	/**
	 * The feature id for the '<em><b>Schreiben</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__SCHREIBEN = 7;

	/**
	 * The feature id for the '<em><b>Antworten</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__ANTWORTEN = 8;

	/**
	 * The feature id for the '<em><b>Genus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__GENUS = 9;

	/**
	 * The feature id for the '<em><b>Wortart</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__WORTART = 10;

	/**
	 * The feature id for the '<em><b>Ist Favorit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF__IST_FAVORIT = 11;

	/**
	 * The number of structural features of the '<em>Begriff</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_FEATURE_COUNT = 12;

	/**
	 * The operation id for the '<em>Get Wort0</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_WORT0 = 0;

	/**
	 * The operation id for the '<em>Get Wort1</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_WORT1 = 1;

	/**
	 * The operation id for the '<em>Get Audio0</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_AUDIO0 = 2;

	/**
	 * The operation id for the '<em>Get Bild0</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_BILD0 = 3;

	/**
	 * The operation id for the '<em>Get Maske0</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_MASKE0 = 4;

	/**
	 * The operation id for the '<em>Get Maske1</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_MASKE1 = 5;

	/**
	 * The operation id for the '<em>Get Maske2</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_MASKE2 = 6;

	/**
	 * The operation id for the '<em>Setze Antworten</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___SETZE_ANTWORTEN = 7;

	/**
	 * The operation id for the '<em>Setze Audio</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___SETZE_AUDIO = 8;

	/**
	 * The operation id for the '<em>Setze Bild</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___SETZE_BILD = 9;

	/**
	 * The operation id for the '<em>Setze Thema</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___SETZE_THEMA = 10;

	/**
	 * The operation id for the '<em>Import Begriff Eingabe</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___IMPORT_BEGRIFF_EINGABE = 11;

	/**
	 * The operation id for the '<em>Get Favorit0</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_FAVORIT0 = 12;

	/**
	 * The operation id for the '<em>Set Favorit</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___SET_FAVORIT = 13;

	/**
	 * The operation id for the '<em>Reset Favorit</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___RESET_FAVORIT = 14;

	/**
	 * The operation id for the '<em>Get Thema</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF___GET_THEMA = 15;

	/**
	 * The number of operations of the '<em>Begriff</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_OPERATION_COUNT = 16;

	/**
	 * The meta object id for the '{@link ecoreI.impl.AudioImpl <em>Audio</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.AudioImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getAudio()
	 * @generated
	 */
	int AUDIO = 2;

	/**
	 * The feature id for the '<em><b>Impressum</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO__IMPRESSUM = 0;

	/**
	 * The feature id for the '<em><b>Audiodateiname</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO__AUDIODATEINAME = 1;

	/**
	 * The number of structural features of the '<em>Audio</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO_FEATURE_COUNT = 2;

	/**
	 * The operation id for the '<em>Get Audiodateiname0</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO___GET_AUDIODATEINAME0 = 0;

	/**
	 * The number of operations of the '<em>Audio</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link ecoreI.impl.KategorieImpl <em>Kategorie</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.KategorieImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getKategorie()
	 * @generated
	 */
	int KATEGORIE = 3;

	/**
	 * The feature id for the '<em><b>Kategorie</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KATEGORIE__KATEGORIE = 0;

	/**
	 * The number of structural features of the '<em>Kategorie</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KATEGORIE_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Kategorie</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KATEGORIE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link ecoreI.impl.PrioritaetImpl <em>Prioritaet</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.PrioritaetImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getPrioritaet()
	 * @generated
	 */
	int PRIORITAET = 4;

	/**
	 * The feature id for the '<em><b>Wert</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET__WERT = 0;

	/**
	 * The number of structural features of the '<em>Prioritaet</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_FEATURE_COUNT = 1;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET___TO_STRING = 0;

	/**
	 * The number of operations of the '<em>Prioritaet</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRIORITAET_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link ecoreI.impl.ThemaImpl <em>Thema</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.ThemaImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getThema()
	 * @generated
	 */
	int THEMA = 5;

	/**
	 * The feature id for the '<em><b>Thema</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THEMA__THEMA = 0;

	/**
	 * The number of structural features of the '<em>Thema</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THEMA_FEATURE_COUNT = 1;

	/**
	 * The operation id for the '<em>Set Thema0</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THEMA___SET_THEMA0__STRING = 0;

	/**
	 * The number of operations of the '<em>Thema</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THEMA_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link ecoreI.impl.BildImpl <em>Bild</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.BildImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getBild()
	 * @generated
	 */
	int BILD = 6;

	/**
	 * The feature id for the '<em><b>Impressum</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD__IMPRESSUM = 0;

	/**
	 * The feature id for the '<em><b>Bilddateiname</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD__BILDDATEINAME = 1;

	/**
	 * The number of structural features of the '<em>Bild</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_FEATURE_COUNT = 2;

	/**
	 * The operation id for the '<em>Get Bilddateiname0</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD___GET_BILDDATEINAME0 = 0;

	/**
	 * The number of operations of the '<em>Bild</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link ecoreI.impl.AntwortImpl <em>Antwort</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.AntwortImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getAntwort()
	 * @generated
	 */
	int ANTWORT = 7;

	/**
	 * The feature id for the '<em><b>Antwort</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANTWORT__ANTWORT = 0;

	/**
	 * The number of structural features of the '<em>Antwort</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANTWORT_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Antwort</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANTWORT_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link ecoreI.impl.WortartImpl <em>Wortart</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.WortartImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getWortart()
	 * @generated
	 */
	int WORTART = 8;

	/**
	 * The feature id for the '<em><b>Wortart</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORTART__WORTART = 0;

	/**
	 * The number of structural features of the '<em>Wortart</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORTART_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Wortart</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORTART_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link ecoreI.impl.GenusImpl <em>Genus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.GenusImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getGenus()
	 * @generated
	 */
	int GENUS = 9;

	/**
	 * The feature id for the '<em><b>Genus</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENUS__GENUS = 0;

	/**
	 * The number of structural features of the '<em>Genus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENUS_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Genus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENUS_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link ecoreI.impl.VideoImpl <em>Video</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.VideoImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getVideo()
	 * @generated
	 */
	int VIDEO = 10;

	/**
	 * The feature id for the '<em><b>Videodateiname</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIDEO__VIDEODATEINAME = 0;

	/**
	 * The feature id for the '<em><b>Impressum</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIDEO__IMPRESSUM = 1;

	/**
	 * The number of structural features of the '<em>Video</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIDEO_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Video</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIDEO_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link ecoreI.impl.AntwortenAnlegenImpl <em>Antworten Anlegen</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.AntwortenAnlegenImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getAntwortenAnlegen()
	 * @generated
	 */
	int ANTWORTEN_ANLEGEN = 11;

	/**
	 * The feature id for the '<em><b>Antworten Anlegen</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANTWORTEN_ANLEGEN__ANTWORTEN_ANLEGEN = 0;

	/**
	 * The number of structural features of the '<em>Antworten Anlegen</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANTWORTEN_ANLEGEN_FEATURE_COUNT = 1;

	/**
	 * The operation id for the '<em>Get Boolean Antworten</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANTWORTEN_ANLEGEN___GET_BOOLEAN_ANTWORTEN = 0;

	/**
	 * The number of operations of the '<em>Antworten Anlegen</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANTWORTEN_ANLEGEN_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link ecoreI.impl.BildAnlegenImpl <em>Bild Anlegen</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.BildAnlegenImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getBildAnlegen()
	 * @generated
	 */
	int BILD_ANLEGEN = 12;

	/**
	 * The feature id for the '<em><b>Bild Anlegen</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_ANLEGEN__BILD_ANLEGEN = 0;

	/**
	 * The number of structural features of the '<em>Bild Anlegen</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_ANLEGEN_FEATURE_COUNT = 1;

	/**
	 * The operation id for the '<em>Get Boolean Bild</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_ANLEGEN___GET_BOOLEAN_BILD = 0;

	/**
	 * The number of operations of the '<em>Bild Anlegen</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BILD_ANLEGEN_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link ecoreI.impl.AudioAnlegenImpl <em>Audio Anlegen</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.AudioAnlegenImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getAudioAnlegen()
	 * @generated
	 */
	int AUDIO_ANLEGEN = 13;

	/**
	 * The feature id for the '<em><b>Audio Anlegen</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO_ANLEGEN__AUDIO_ANLEGEN = 0;

	/**
	 * The number of structural features of the '<em>Audio Anlegen</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO_ANLEGEN_FEATURE_COUNT = 1;

	/**
	 * The operation id for the '<em>Get Boolean Audio</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO_ANLEGEN___GET_BOOLEAN_AUDIO = 0;

	/**
	 * The number of operations of the '<em>Audio Anlegen</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AUDIO_ANLEGEN_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link ecoreI.impl.BegriffEingabeImpl <em>Begriff Eingabe</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see ecoreI.impl.BegriffEingabeImpl
	 * @see ecoreI.impl.EcoreIPackageImpl#getBegriffEingabe()
	 * @generated
	 */
	int BEGRIFF_EINGABE = 14;

	/**
	 * The feature id for the '<em><b>Begriff</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_EINGABE__BEGRIFF = 0;

	/**
	 * The feature id for the '<em><b>Uebersetzung</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_EINGABE__UEBERSETZUNG = 1;

	/**
	 * The number of structural features of the '<em>Begriff Eingabe</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_EINGABE_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Begriff Eingabe</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BEGRIFF_EINGABE_OPERATION_COUNT = 0;


	/**
	 * Returns the meta object for class '{@link ecoreI.BegriffContainer <em>Begriff Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Begriff Container</em>'.
	 * @see ecoreI.BegriffContainer
	 * @generated
	 */
	EClass getBegriffContainer();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAlleBegriffe <em>Alle Begriffe</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Begriffe</em>'.
	 * @see ecoreI.BegriffContainer#getAlleBegriffe()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AlleBegriffe();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAlleBilder <em>Alle Bilder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Bilder</em>'.
	 * @see ecoreI.BegriffContainer#getAlleBilder()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AlleBilder();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAlleAudios <em>Alle Audios</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Audios</em>'.
	 * @see ecoreI.BegriffContainer#getAlleAudios()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AlleAudios();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAlleVideos <em>Alle Videos</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Videos</em>'.
	 * @see ecoreI.BegriffContainer#getAlleVideos()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AlleVideos();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAllePrioritaeten <em>Alle Prioritaeten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Prioritaeten</em>'.
	 * @see ecoreI.BegriffContainer#getAllePrioritaeten()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AllePrioritaeten();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAlleWortarten <em>Alle Wortarten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Wortarten</em>'.
	 * @see ecoreI.BegriffContainer#getAlleWortarten()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AlleWortarten();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAlleThemen <em>Alle Themen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Themen</em>'.
	 * @see ecoreI.BegriffContainer#getAlleThemen()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AlleThemen();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAlleKategorien <em>Alle Kategorien</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Kategorien</em>'.
	 * @see ecoreI.BegriffContainer#getAlleKategorien()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AlleKategorien();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.BegriffContainer#getAlleAntworten <em>Alle Antworten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Alle Antworten</em>'.
	 * @see ecoreI.BegriffContainer#getAlleAntworten()
	 * @see #getBegriffContainer()
	 * @generated
	 */
	EReference getBegriffContainer_AlleAntworten();

	/**
	 * Returns the meta object for the '{@link ecoreI.BegriffContainer#getVorgaenger(org.eclipse.emf.common.util.EList, ecoreI.Begriff) <em>Get Vorgaenger</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Vorgaenger</em>' operation.
	 * @see ecoreI.BegriffContainer#getVorgaenger(org.eclipse.emf.common.util.EList, ecoreI.Begriff)
	 * @generated
	 */
	EOperation getBegriffContainer__GetVorgaenger__EList_Begriff();

	/**
	 * Returns the meta object for the '{@link ecoreI.BegriffContainer#getNachfolger(org.eclipse.emf.common.util.EList, ecoreI.Begriff) <em>Get Nachfolger</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Nachfolger</em>' operation.
	 * @see ecoreI.BegriffContainer#getNachfolger(org.eclipse.emf.common.util.EList, ecoreI.Begriff)
	 * @generated
	 */
	EOperation getBegriffContainer__GetNachfolger__EList_Begriff();

	/**
	 * Returns the meta object for the '{@link ecoreI.BegriffContainer#getTrue() <em>Get True</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get True</em>' operation.
	 * @see ecoreI.BegriffContainer#getTrue()
	 * @generated
	 */
	EOperation getBegriffContainer__GetTrue();

	/**
	 * Returns the meta object for the '{@link ecoreI.BegriffContainer#filterBegriffe(org.eclipse.emf.common.util.EList, java.lang.String, java.lang.String, java.lang.String) <em>Filter Begriffe</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Filter Begriffe</em>' operation.
	 * @see ecoreI.BegriffContainer#filterBegriffe(org.eclipse.emf.common.util.EList, java.lang.String, java.lang.String, java.lang.String)
	 * @generated
	 */
	EOperation getBegriffContainer__FilterBegriffe__EList_String_String_String();

	/**
	 * Returns the meta object for the '{@link ecoreI.BegriffContainer#addAntwort() <em>Add Antwort</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Add Antwort</em>' operation.
	 * @see ecoreI.BegriffContainer#addAntwort()
	 * @generated
	 */
	EOperation getBegriffContainer__AddAntwort();

	/**
	 * Returns the meta object for the '{@link ecoreI.BegriffContainer#getFalse() <em>Get False</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get False</em>' operation.
	 * @see ecoreI.BegriffContainer#getFalse()
	 * @generated
	 */
	EOperation getBegriffContainer__GetFalse();

	/**
	 * Returns the meta object for class '{@link ecoreI.Begriff <em>Begriff</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Begriff</em>'.
	 * @see ecoreI.Begriff
	 * @generated
	 */
	EClass getBegriff();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getAudio <em>Audio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Audio</em>'.
	 * @see ecoreI.Begriff#getAudio()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Audio();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getBild <em>Bild</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Bild</em>'.
	 * @see ecoreI.Begriff#getBild()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Bild();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getVideo <em>Video</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Video</em>'.
	 * @see ecoreI.Begriff#getVideo()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Video();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.Begriff#getInThemen <em>In Themen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>In Themen</em>'.
	 * @see ecoreI.Begriff#getInThemen()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_InThemen();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.Begriff#getInKategorien <em>In Kategorien</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>In Kategorien</em>'.
	 * @see ecoreI.Begriff#getInKategorien()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_InKategorien();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getHoeren <em>Hoeren</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Hoeren</em>'.
	 * @see ecoreI.Begriff#getHoeren()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Hoeren();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getLesen <em>Lesen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Lesen</em>'.
	 * @see ecoreI.Begriff#getLesen()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Lesen();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getSchreiben <em>Schreiben</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Schreiben</em>'.
	 * @see ecoreI.Begriff#getSchreiben()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Schreiben();

	/**
	 * Returns the meta object for the containment reference list '{@link ecoreI.Begriff#getAntworten <em>Antworten</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Antworten</em>'.
	 * @see ecoreI.Begriff#getAntworten()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Antworten();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getGenus <em>Genus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Genus</em>'.
	 * @see ecoreI.Begriff#getGenus()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Genus();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getWortart <em>Wortart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Wortart</em>'.
	 * @see ecoreI.Begriff#getWortart()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_Wortart();

	/**
	 * Returns the meta object for the reference '{@link ecoreI.Begriff#getIstFavorit <em>Ist Favorit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Ist Favorit</em>'.
	 * @see ecoreI.Begriff#getIstFavorit()
	 * @see #getBegriff()
	 * @generated
	 */
	EReference getBegriff_IstFavorit();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getWort0() <em>Get Wort0</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Wort0</em>' operation.
	 * @see ecoreI.Begriff#getWort0()
	 * @generated
	 */
	EOperation getBegriff__GetWort0();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getWort1() <em>Get Wort1</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Wort1</em>' operation.
	 * @see ecoreI.Begriff#getWort1()
	 * @generated
	 */
	EOperation getBegriff__GetWort1();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getAudio0() <em>Get Audio0</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Audio0</em>' operation.
	 * @see ecoreI.Begriff#getAudio0()
	 * @generated
	 */
	EOperation getBegriff__GetAudio0();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getBild0() <em>Get Bild0</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Bild0</em>' operation.
	 * @see ecoreI.Begriff#getBild0()
	 * @generated
	 */
	EOperation getBegriff__GetBild0();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getMaske0() <em>Get Maske0</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Maske0</em>' operation.
	 * @see ecoreI.Begriff#getMaske0()
	 * @generated
	 */
	EOperation getBegriff__GetMaske0();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getMaske1() <em>Get Maske1</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Maske1</em>' operation.
	 * @see ecoreI.Begriff#getMaske1()
	 * @generated
	 */
	EOperation getBegriff__GetMaske1();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getMaske2() <em>Get Maske2</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Maske2</em>' operation.
	 * @see ecoreI.Begriff#getMaske2()
	 * @generated
	 */
	EOperation getBegriff__GetMaske2();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#setzeAntworten() <em>Setze Antworten</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Setze Antworten</em>' operation.
	 * @see ecoreI.Begriff#setzeAntworten()
	 * @generated
	 */
	EOperation getBegriff__SetzeAntworten();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#setzeAudio() <em>Setze Audio</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Setze Audio</em>' operation.
	 * @see ecoreI.Begriff#setzeAudio()
	 * @generated
	 */
	EOperation getBegriff__SetzeAudio();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#setzeBild() <em>Setze Bild</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Setze Bild</em>' operation.
	 * @see ecoreI.Begriff#setzeBild()
	 * @generated
	 */
	EOperation getBegriff__SetzeBild();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#setzeThema() <em>Setze Thema</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Setze Thema</em>' operation.
	 * @see ecoreI.Begriff#setzeThema()
	 * @generated
	 */
	EOperation getBegriff__SetzeThema();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#importBegriffEingabe() <em>Import Begriff Eingabe</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Import Begriff Eingabe</em>' operation.
	 * @see ecoreI.Begriff#importBegriffEingabe()
	 * @generated
	 */
	EOperation getBegriff__ImportBegriffEingabe();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getFavorit0() <em>Get Favorit0</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Favorit0</em>' operation.
	 * @see ecoreI.Begriff#getFavorit0()
	 * @generated
	 */
	EOperation getBegriff__GetFavorit0();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#setFavorit() <em>Set Favorit</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Set Favorit</em>' operation.
	 * @see ecoreI.Begriff#setFavorit()
	 * @generated
	 */
	EOperation getBegriff__SetFavorit();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#resetFavorit() <em>Reset Favorit</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Reset Favorit</em>' operation.
	 * @see ecoreI.Begriff#resetFavorit()
	 * @generated
	 */
	EOperation getBegriff__ResetFavorit();

	/**
	 * Returns the meta object for the '{@link ecoreI.Begriff#getThema() <em>Get Thema</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Thema</em>' operation.
	 * @see ecoreI.Begriff#getThema()
	 * @generated
	 */
	EOperation getBegriff__GetThema();

	/**
	 * Returns the meta object for class '{@link ecoreI.Audio <em>Audio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Audio</em>'.
	 * @see ecoreI.Audio
	 * @generated
	 */
	EClass getAudio();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Audio#getImpressum <em>Impressum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Impressum</em>'.
	 * @see ecoreI.Audio#getImpressum()
	 * @see #getAudio()
	 * @generated
	 */
	EAttribute getAudio_Impressum();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Audio#getAudiodateiname <em>Audiodateiname</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Audiodateiname</em>'.
	 * @see ecoreI.Audio#getAudiodateiname()
	 * @see #getAudio()
	 * @generated
	 */
	EAttribute getAudio_Audiodateiname();

	/**
	 * Returns the meta object for the '{@link ecoreI.Audio#getAudiodateiname0() <em>Get Audiodateiname0</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Audiodateiname0</em>' operation.
	 * @see ecoreI.Audio#getAudiodateiname0()
	 * @generated
	 */
	EOperation getAudio__GetAudiodateiname0();

	/**
	 * Returns the meta object for class '{@link ecoreI.Kategorie <em>Kategorie</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Kategorie</em>'.
	 * @see ecoreI.Kategorie
	 * @generated
	 */
	EClass getKategorie();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Kategorie#getKategorie <em>Kategorie</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kategorie</em>'.
	 * @see ecoreI.Kategorie#getKategorie()
	 * @see #getKategorie()
	 * @generated
	 */
	EAttribute getKategorie_Kategorie();

	/**
	 * Returns the meta object for class '{@link ecoreI.Prioritaet <em>Prioritaet</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Prioritaet</em>'.
	 * @see ecoreI.Prioritaet
	 * @generated
	 */
	EClass getPrioritaet();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Prioritaet#getWert <em>Wert</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wert</em>'.
	 * @see ecoreI.Prioritaet#getWert()
	 * @see #getPrioritaet()
	 * @generated
	 */
	EAttribute getPrioritaet_Wert();

	/**
	 * Returns the meta object for the '{@link ecoreI.Prioritaet#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see ecoreI.Prioritaet#toString()
	 * @generated
	 */
	EOperation getPrioritaet__ToString();

	/**
	 * Returns the meta object for class '{@link ecoreI.Thema <em>Thema</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Thema</em>'.
	 * @see ecoreI.Thema
	 * @generated
	 */
	EClass getThema();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Thema#getThema <em>Thema</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Thema</em>'.
	 * @see ecoreI.Thema#getThema()
	 * @see #getThema()
	 * @generated
	 */
	EAttribute getThema_Thema();

	/**
	 * Returns the meta object for the '{@link ecoreI.Thema#setThema0(java.lang.String) <em>Set Thema0</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Set Thema0</em>' operation.
	 * @see ecoreI.Thema#setThema0(java.lang.String)
	 * @generated
	 */
	EOperation getThema__SetThema0__String();

	/**
	 * Returns the meta object for class '{@link ecoreI.Bild <em>Bild</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bild</em>'.
	 * @see ecoreI.Bild
	 * @generated
	 */
	EClass getBild();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Bild#getImpressum <em>Impressum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Impressum</em>'.
	 * @see ecoreI.Bild#getImpressum()
	 * @see #getBild()
	 * @generated
	 */
	EAttribute getBild_Impressum();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Bild#getBilddateiname <em>Bilddateiname</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Bilddateiname</em>'.
	 * @see ecoreI.Bild#getBilddateiname()
	 * @see #getBild()
	 * @generated
	 */
	EAttribute getBild_Bilddateiname();

	/**
	 * Returns the meta object for the '{@link ecoreI.Bild#getBilddateiname0() <em>Get Bilddateiname0</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Bilddateiname0</em>' operation.
	 * @see ecoreI.Bild#getBilddateiname0()
	 * @generated
	 */
	EOperation getBild__GetBilddateiname0();

	/**
	 * Returns the meta object for class '{@link ecoreI.Antwort <em>Antwort</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Antwort</em>'.
	 * @see ecoreI.Antwort
	 * @generated
	 */
	EClass getAntwort();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Antwort#getAntwort <em>Antwort</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Antwort</em>'.
	 * @see ecoreI.Antwort#getAntwort()
	 * @see #getAntwort()
	 * @generated
	 */
	EAttribute getAntwort_Antwort();

	/**
	 * Returns the meta object for class '{@link ecoreI.Wortart <em>Wortart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Wortart</em>'.
	 * @see ecoreI.Wortart
	 * @generated
	 */
	EClass getWortart();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Wortart#getWortart <em>Wortart</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Wortart</em>'.
	 * @see ecoreI.Wortart#getWortart()
	 * @see #getWortart()
	 * @generated
	 */
	EAttribute getWortart_Wortart();

	/**
	 * Returns the meta object for class '{@link ecoreI.Genus <em>Genus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Genus</em>'.
	 * @see ecoreI.Genus
	 * @generated
	 */
	EClass getGenus();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Genus#getGenus <em>Genus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Genus</em>'.
	 * @see ecoreI.Genus#getGenus()
	 * @see #getGenus()
	 * @generated
	 */
	EAttribute getGenus_Genus();

	/**
	 * Returns the meta object for class '{@link ecoreI.Video <em>Video</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Video</em>'.
	 * @see ecoreI.Video
	 * @generated
	 */
	EClass getVideo();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Video#getVideodateiname <em>Videodateiname</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Videodateiname</em>'.
	 * @see ecoreI.Video#getVideodateiname()
	 * @see #getVideo()
	 * @generated
	 */
	EAttribute getVideo_Videodateiname();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.Video#getImpressum <em>Impressum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Impressum</em>'.
	 * @see ecoreI.Video#getImpressum()
	 * @see #getVideo()
	 * @generated
	 */
	EAttribute getVideo_Impressum();

	/**
	 * Returns the meta object for class '{@link ecoreI.AntwortenAnlegen <em>Antworten Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Antworten Anlegen</em>'.
	 * @see ecoreI.AntwortenAnlegen
	 * @generated
	 */
	EClass getAntwortenAnlegen();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.AntwortenAnlegen#getAntwortenAnlegen <em>Antworten Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Antworten Anlegen</em>'.
	 * @see ecoreI.AntwortenAnlegen#getAntwortenAnlegen()
	 * @see #getAntwortenAnlegen()
	 * @generated
	 */
	EAttribute getAntwortenAnlegen_AntwortenAnlegen();

	/**
	 * Returns the meta object for the '{@link ecoreI.AntwortenAnlegen#getBooleanAntworten() <em>Get Boolean Antworten</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Boolean Antworten</em>' operation.
	 * @see ecoreI.AntwortenAnlegen#getBooleanAntworten()
	 * @generated
	 */
	EOperation getAntwortenAnlegen__GetBooleanAntworten();

	/**
	 * Returns the meta object for class '{@link ecoreI.BildAnlegen <em>Bild Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bild Anlegen</em>'.
	 * @see ecoreI.BildAnlegen
	 * @generated
	 */
	EClass getBildAnlegen();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.BildAnlegen#getBildAnlegen <em>Bild Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Bild Anlegen</em>'.
	 * @see ecoreI.BildAnlegen#getBildAnlegen()
	 * @see #getBildAnlegen()
	 * @generated
	 */
	EAttribute getBildAnlegen_BildAnlegen();

	/**
	 * Returns the meta object for the '{@link ecoreI.BildAnlegen#getBooleanBild() <em>Get Boolean Bild</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Boolean Bild</em>' operation.
	 * @see ecoreI.BildAnlegen#getBooleanBild()
	 * @generated
	 */
	EOperation getBildAnlegen__GetBooleanBild();

	/**
	 * Returns the meta object for class '{@link ecoreI.AudioAnlegen <em>Audio Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Audio Anlegen</em>'.
	 * @see ecoreI.AudioAnlegen
	 * @generated
	 */
	EClass getAudioAnlegen();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.AudioAnlegen#getAudioAnlegen <em>Audio Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Audio Anlegen</em>'.
	 * @see ecoreI.AudioAnlegen#getAudioAnlegen()
	 * @see #getAudioAnlegen()
	 * @generated
	 */
	EAttribute getAudioAnlegen_AudioAnlegen();

	/**
	 * Returns the meta object for the '{@link ecoreI.AudioAnlegen#getBooleanAudio() <em>Get Boolean Audio</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Boolean Audio</em>' operation.
	 * @see ecoreI.AudioAnlegen#getBooleanAudio()
	 * @generated
	 */
	EOperation getAudioAnlegen__GetBooleanAudio();

	/**
	 * Returns the meta object for class '{@link ecoreI.BegriffEingabe <em>Begriff Eingabe</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Begriff Eingabe</em>'.
	 * @see ecoreI.BegriffEingabe
	 * @generated
	 */
	EClass getBegriffEingabe();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.BegriffEingabe#getBegriff <em>Begriff</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Begriff</em>'.
	 * @see ecoreI.BegriffEingabe#getBegriff()
	 * @see #getBegriffEingabe()
	 * @generated
	 */
	EAttribute getBegriffEingabe_Begriff();

	/**
	 * Returns the meta object for the attribute '{@link ecoreI.BegriffEingabe#getUebersetzung <em>Uebersetzung</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Uebersetzung</em>'.
	 * @see ecoreI.BegriffEingabe#getUebersetzung()
	 * @see #getBegriffEingabe()
	 * @generated
	 */
	EAttribute getBegriffEingabe_Uebersetzung();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	EcoreIFactory getEcoreIFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link ecoreI.impl.BegriffContainerImpl <em>Begriff Container</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.BegriffContainerImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getBegriffContainer()
		 * @generated
		 */
		EClass BEGRIFF_CONTAINER = eINSTANCE.getBegriffContainer();

		/**
		 * The meta object literal for the '<em><b>Alle Begriffe</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_BEGRIFFE = eINSTANCE.getBegriffContainer_AlleBegriffe();

		/**
		 * The meta object literal for the '<em><b>Alle Bilder</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_BILDER = eINSTANCE.getBegriffContainer_AlleBilder();

		/**
		 * The meta object literal for the '<em><b>Alle Audios</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_AUDIOS = eINSTANCE.getBegriffContainer_AlleAudios();

		/**
		 * The meta object literal for the '<em><b>Alle Videos</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_VIDEOS = eINSTANCE.getBegriffContainer_AlleVideos();

		/**
		 * The meta object literal for the '<em><b>Alle Prioritaeten</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_PRIORITAETEN = eINSTANCE.getBegriffContainer_AllePrioritaeten();

		/**
		 * The meta object literal for the '<em><b>Alle Wortarten</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_WORTARTEN = eINSTANCE.getBegriffContainer_AlleWortarten();

		/**
		 * The meta object literal for the '<em><b>Alle Themen</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_THEMEN = eINSTANCE.getBegriffContainer_AlleThemen();

		/**
		 * The meta object literal for the '<em><b>Alle Kategorien</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_KATEGORIEN = eINSTANCE.getBegriffContainer_AlleKategorien();

		/**
		 * The meta object literal for the '<em><b>Alle Antworten</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF_CONTAINER__ALLE_ANTWORTEN = eINSTANCE.getBegriffContainer_AlleAntworten();

		/**
		 * The meta object literal for the '<em><b>Get Vorgaenger</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF_CONTAINER___GET_VORGAENGER__ELIST_BEGRIFF = eINSTANCE.getBegriffContainer__GetVorgaenger__EList_Begriff();

		/**
		 * The meta object literal for the '<em><b>Get Nachfolger</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF_CONTAINER___GET_NACHFOLGER__ELIST_BEGRIFF = eINSTANCE.getBegriffContainer__GetNachfolger__EList_Begriff();

		/**
		 * The meta object literal for the '<em><b>Get True</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF_CONTAINER___GET_TRUE = eINSTANCE.getBegriffContainer__GetTrue();

		/**
		 * The meta object literal for the '<em><b>Filter Begriffe</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF_CONTAINER___FILTER_BEGRIFFE__ELIST_STRING_STRING_STRING = eINSTANCE.getBegriffContainer__FilterBegriffe__EList_String_String_String();

		/**
		 * The meta object literal for the '<em><b>Add Antwort</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF_CONTAINER___ADD_ANTWORT = eINSTANCE.getBegriffContainer__AddAntwort();

		/**
		 * The meta object literal for the '<em><b>Get False</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF_CONTAINER___GET_FALSE = eINSTANCE.getBegriffContainer__GetFalse();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.BegriffImpl <em>Begriff</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.BegriffImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getBegriff()
		 * @generated
		 */
		EClass BEGRIFF = eINSTANCE.getBegriff();

		/**
		 * The meta object literal for the '<em><b>Audio</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__AUDIO = eINSTANCE.getBegriff_Audio();

		/**
		 * The meta object literal for the '<em><b>Bild</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__BILD = eINSTANCE.getBegriff_Bild();

		/**
		 * The meta object literal for the '<em><b>Video</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__VIDEO = eINSTANCE.getBegriff_Video();

		/**
		 * The meta object literal for the '<em><b>In Themen</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__IN_THEMEN = eINSTANCE.getBegriff_InThemen();

		/**
		 * The meta object literal for the '<em><b>In Kategorien</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__IN_KATEGORIEN = eINSTANCE.getBegriff_InKategorien();

		/**
		 * The meta object literal for the '<em><b>Hoeren</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__HOEREN = eINSTANCE.getBegriff_Hoeren();

		/**
		 * The meta object literal for the '<em><b>Lesen</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__LESEN = eINSTANCE.getBegriff_Lesen();

		/**
		 * The meta object literal for the '<em><b>Schreiben</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__SCHREIBEN = eINSTANCE.getBegriff_Schreiben();

		/**
		 * The meta object literal for the '<em><b>Antworten</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__ANTWORTEN = eINSTANCE.getBegriff_Antworten();

		/**
		 * The meta object literal for the '<em><b>Genus</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__GENUS = eINSTANCE.getBegriff_Genus();

		/**
		 * The meta object literal for the '<em><b>Wortart</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__WORTART = eINSTANCE.getBegriff_Wortart();

		/**
		 * The meta object literal for the '<em><b>Ist Favorit</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BEGRIFF__IST_FAVORIT = eINSTANCE.getBegriff_IstFavorit();

		/**
		 * The meta object literal for the '<em><b>Get Wort0</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_WORT0 = eINSTANCE.getBegriff__GetWort0();

		/**
		 * The meta object literal for the '<em><b>Get Wort1</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_WORT1 = eINSTANCE.getBegriff__GetWort1();

		/**
		 * The meta object literal for the '<em><b>Get Audio0</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_AUDIO0 = eINSTANCE.getBegriff__GetAudio0();

		/**
		 * The meta object literal for the '<em><b>Get Bild0</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_BILD0 = eINSTANCE.getBegriff__GetBild0();

		/**
		 * The meta object literal for the '<em><b>Get Maske0</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_MASKE0 = eINSTANCE.getBegriff__GetMaske0();

		/**
		 * The meta object literal for the '<em><b>Get Maske1</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_MASKE1 = eINSTANCE.getBegriff__GetMaske1();

		/**
		 * The meta object literal for the '<em><b>Get Maske2</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_MASKE2 = eINSTANCE.getBegriff__GetMaske2();

		/**
		 * The meta object literal for the '<em><b>Setze Antworten</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___SETZE_ANTWORTEN = eINSTANCE.getBegriff__SetzeAntworten();

		/**
		 * The meta object literal for the '<em><b>Setze Audio</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___SETZE_AUDIO = eINSTANCE.getBegriff__SetzeAudio();

		/**
		 * The meta object literal for the '<em><b>Setze Bild</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___SETZE_BILD = eINSTANCE.getBegriff__SetzeBild();

		/**
		 * The meta object literal for the '<em><b>Setze Thema</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___SETZE_THEMA = eINSTANCE.getBegriff__SetzeThema();

		/**
		 * The meta object literal for the '<em><b>Import Begriff Eingabe</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___IMPORT_BEGRIFF_EINGABE = eINSTANCE.getBegriff__ImportBegriffEingabe();

		/**
		 * The meta object literal for the '<em><b>Get Favorit0</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_FAVORIT0 = eINSTANCE.getBegriff__GetFavorit0();

		/**
		 * The meta object literal for the '<em><b>Set Favorit</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___SET_FAVORIT = eINSTANCE.getBegriff__SetFavorit();

		/**
		 * The meta object literal for the '<em><b>Reset Favorit</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___RESET_FAVORIT = eINSTANCE.getBegriff__ResetFavorit();

		/**
		 * The meta object literal for the '<em><b>Get Thema</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BEGRIFF___GET_THEMA = eINSTANCE.getBegriff__GetThema();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.AudioImpl <em>Audio</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.AudioImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getAudio()
		 * @generated
		 */
		EClass AUDIO = eINSTANCE.getAudio();

		/**
		 * The meta object literal for the '<em><b>Impressum</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AUDIO__IMPRESSUM = eINSTANCE.getAudio_Impressum();

		/**
		 * The meta object literal for the '<em><b>Audiodateiname</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AUDIO__AUDIODATEINAME = eINSTANCE.getAudio_Audiodateiname();

		/**
		 * The meta object literal for the '<em><b>Get Audiodateiname0</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation AUDIO___GET_AUDIODATEINAME0 = eINSTANCE.getAudio__GetAudiodateiname0();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.KategorieImpl <em>Kategorie</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.KategorieImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getKategorie()
		 * @generated
		 */
		EClass KATEGORIE = eINSTANCE.getKategorie();

		/**
		 * The meta object literal for the '<em><b>Kategorie</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KATEGORIE__KATEGORIE = eINSTANCE.getKategorie_Kategorie();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.PrioritaetImpl <em>Prioritaet</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.PrioritaetImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getPrioritaet()
		 * @generated
		 */
		EClass PRIORITAET = eINSTANCE.getPrioritaet();

		/**
		 * The meta object literal for the '<em><b>Wert</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRIORITAET__WERT = eINSTANCE.getPrioritaet_Wert();

		/**
		 * The meta object literal for the '<em><b>To String</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation PRIORITAET___TO_STRING = eINSTANCE.getPrioritaet__ToString();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.ThemaImpl <em>Thema</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.ThemaImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getThema()
		 * @generated
		 */
		EClass THEMA = eINSTANCE.getThema();

		/**
		 * The meta object literal for the '<em><b>Thema</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute THEMA__THEMA = eINSTANCE.getThema_Thema();

		/**
		 * The meta object literal for the '<em><b>Set Thema0</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation THEMA___SET_THEMA0__STRING = eINSTANCE.getThema__SetThema0__String();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.BildImpl <em>Bild</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.BildImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getBild()
		 * @generated
		 */
		EClass BILD = eINSTANCE.getBild();

		/**
		 * The meta object literal for the '<em><b>Impressum</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BILD__IMPRESSUM = eINSTANCE.getBild_Impressum();

		/**
		 * The meta object literal for the '<em><b>Bilddateiname</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BILD__BILDDATEINAME = eINSTANCE.getBild_Bilddateiname();

		/**
		 * The meta object literal for the '<em><b>Get Bilddateiname0</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BILD___GET_BILDDATEINAME0 = eINSTANCE.getBild__GetBilddateiname0();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.AntwortImpl <em>Antwort</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.AntwortImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getAntwort()
		 * @generated
		 */
		EClass ANTWORT = eINSTANCE.getAntwort();

		/**
		 * The meta object literal for the '<em><b>Antwort</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ANTWORT__ANTWORT = eINSTANCE.getAntwort_Antwort();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.WortartImpl <em>Wortart</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.WortartImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getWortart()
		 * @generated
		 */
		EClass WORTART = eINSTANCE.getWortart();

		/**
		 * The meta object literal for the '<em><b>Wortart</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WORTART__WORTART = eINSTANCE.getWortart_Wortart();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.GenusImpl <em>Genus</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.GenusImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getGenus()
		 * @generated
		 */
		EClass GENUS = eINSTANCE.getGenus();

		/**
		 * The meta object literal for the '<em><b>Genus</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GENUS__GENUS = eINSTANCE.getGenus_Genus();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.VideoImpl <em>Video</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.VideoImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getVideo()
		 * @generated
		 */
		EClass VIDEO = eINSTANCE.getVideo();

		/**
		 * The meta object literal for the '<em><b>Videodateiname</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VIDEO__VIDEODATEINAME = eINSTANCE.getVideo_Videodateiname();

		/**
		 * The meta object literal for the '<em><b>Impressum</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VIDEO__IMPRESSUM = eINSTANCE.getVideo_Impressum();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.AntwortenAnlegenImpl <em>Antworten Anlegen</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.AntwortenAnlegenImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getAntwortenAnlegen()
		 * @generated
		 */
		EClass ANTWORTEN_ANLEGEN = eINSTANCE.getAntwortenAnlegen();

		/**
		 * The meta object literal for the '<em><b>Antworten Anlegen</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ANTWORTEN_ANLEGEN__ANTWORTEN_ANLEGEN = eINSTANCE.getAntwortenAnlegen_AntwortenAnlegen();

		/**
		 * The meta object literal for the '<em><b>Get Boolean Antworten</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation ANTWORTEN_ANLEGEN___GET_BOOLEAN_ANTWORTEN = eINSTANCE.getAntwortenAnlegen__GetBooleanAntworten();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.BildAnlegenImpl <em>Bild Anlegen</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.BildAnlegenImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getBildAnlegen()
		 * @generated
		 */
		EClass BILD_ANLEGEN = eINSTANCE.getBildAnlegen();

		/**
		 * The meta object literal for the '<em><b>Bild Anlegen</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BILD_ANLEGEN__BILD_ANLEGEN = eINSTANCE.getBildAnlegen_BildAnlegen();

		/**
		 * The meta object literal for the '<em><b>Get Boolean Bild</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation BILD_ANLEGEN___GET_BOOLEAN_BILD = eINSTANCE.getBildAnlegen__GetBooleanBild();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.AudioAnlegenImpl <em>Audio Anlegen</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.AudioAnlegenImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getAudioAnlegen()
		 * @generated
		 */
		EClass AUDIO_ANLEGEN = eINSTANCE.getAudioAnlegen();

		/**
		 * The meta object literal for the '<em><b>Audio Anlegen</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute AUDIO_ANLEGEN__AUDIO_ANLEGEN = eINSTANCE.getAudioAnlegen_AudioAnlegen();

		/**
		 * The meta object literal for the '<em><b>Get Boolean Audio</b></em>' operation.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EOperation AUDIO_ANLEGEN___GET_BOOLEAN_AUDIO = eINSTANCE.getAudioAnlegen__GetBooleanAudio();

		/**
		 * The meta object literal for the '{@link ecoreI.impl.BegriffEingabeImpl <em>Begriff Eingabe</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see ecoreI.impl.BegriffEingabeImpl
		 * @see ecoreI.impl.EcoreIPackageImpl#getBegriffEingabe()
		 * @generated
		 */
		EClass BEGRIFF_EINGABE = eINSTANCE.getBegriffEingabe();

		/**
		 * The meta object literal for the '<em><b>Begriff</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BEGRIFF_EINGABE__BEGRIFF = eINSTANCE.getBegriffEingabe_Begriff();

		/**
		 * The meta object literal for the '<em><b>Uebersetzung</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BEGRIFF_EINGABE__UEBERSETZUNG = eINSTANCE.getBegriffEingabe_Uebersetzung();

	}

} //EcoreIPackage
