/**
 */
package ecoreI.util;

import ecoreI.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see ecoreI.EcoreIPackage
 * @generated
 */
public class EcoreIAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static EcoreIPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcoreIAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = EcoreIPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EcoreISwitch<Adapter> modelSwitch =
		new EcoreISwitch<Adapter>() {
			@Override
			public Adapter caseBegriffContainer(BegriffContainer object) {
				return createBegriffContainerAdapter();
			}
			@Override
			public Adapter caseBegriff(Begriff object) {
				return createBegriffAdapter();
			}
			@Override
			public Adapter caseAudio(Audio object) {
				return createAudioAdapter();
			}
			@Override
			public Adapter caseKategorie(Kategorie object) {
				return createKategorieAdapter();
			}
			@Override
			public Adapter casePrioritaet(Prioritaet object) {
				return createPrioritaetAdapter();
			}
			@Override
			public Adapter caseThema(Thema object) {
				return createThemaAdapter();
			}
			@Override
			public Adapter caseBild(Bild object) {
				return createBildAdapter();
			}
			@Override
			public Adapter caseAntwort(Antwort object) {
				return createAntwortAdapter();
			}
			@Override
			public Adapter caseWortart(Wortart object) {
				return createWortartAdapter();
			}
			@Override
			public Adapter caseGenus(Genus object) {
				return createGenusAdapter();
			}
			@Override
			public Adapter caseVideo(Video object) {
				return createVideoAdapter();
			}
			@Override
			public Adapter caseAntwortenAnlegen(AntwortenAnlegen object) {
				return createAntwortenAnlegenAdapter();
			}
			@Override
			public Adapter caseBildAnlegen(BildAnlegen object) {
				return createBildAnlegenAdapter();
			}
			@Override
			public Adapter caseAudioAnlegen(AudioAnlegen object) {
				return createAudioAnlegenAdapter();
			}
			@Override
			public Adapter caseBegriffEingabe(BegriffEingabe object) {
				return createBegriffEingabeAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.BegriffContainer <em>Begriff Container</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.BegriffContainer
	 * @generated
	 */
	public Adapter createBegriffContainerAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Begriff <em>Begriff</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Begriff
	 * @generated
	 */
	public Adapter createBegriffAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Audio <em>Audio</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Audio
	 * @generated
	 */
	public Adapter createAudioAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Kategorie <em>Kategorie</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Kategorie
	 * @generated
	 */
	public Adapter createKategorieAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Prioritaet <em>Prioritaet</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Prioritaet
	 * @generated
	 */
	public Adapter createPrioritaetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Thema <em>Thema</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Thema
	 * @generated
	 */
	public Adapter createThemaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Bild <em>Bild</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Bild
	 * @generated
	 */
	public Adapter createBildAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Antwort <em>Antwort</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Antwort
	 * @generated
	 */
	public Adapter createAntwortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Wortart <em>Wortart</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Wortart
	 * @generated
	 */
	public Adapter createWortartAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Genus <em>Genus</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Genus
	 * @generated
	 */
	public Adapter createGenusAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.Video <em>Video</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.Video
	 * @generated
	 */
	public Adapter createVideoAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.AntwortenAnlegen <em>Antworten Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.AntwortenAnlegen
	 * @generated
	 */
	public Adapter createAntwortenAnlegenAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.BildAnlegen <em>Bild Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.BildAnlegen
	 * @generated
	 */
	public Adapter createBildAnlegenAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.AudioAnlegen <em>Audio Anlegen</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.AudioAnlegen
	 * @generated
	 */
	public Adapter createAudioAnlegenAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link ecoreI.BegriffEingabe <em>Begriff Eingabe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see ecoreI.BegriffEingabe
	 * @generated
	 */
	public Adapter createBegriffEingabeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //EcoreIAdapterFactory
