/**
 */
package ecoreI.util;

import ecoreI.*;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see ecoreI.EcoreIPackage
 * @generated
 */
public class EcoreISwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static EcoreIPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcoreISwitch() {
		if (modelPackage == null) {
			modelPackage = EcoreIPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @parameter ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case EcoreIPackage.BEGRIFF_CONTAINER: {
				BegriffContainer begriffContainer = (BegriffContainer)theEObject;
				T result = caseBegriffContainer(begriffContainer);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.BEGRIFF: {
				Begriff begriff = (Begriff)theEObject;
				T result = caseBegriff(begriff);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.AUDIO: {
				Audio audio = (Audio)theEObject;
				T result = caseAudio(audio);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.KATEGORIE: {
				Kategorie kategorie = (Kategorie)theEObject;
				T result = caseKategorie(kategorie);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.PRIORITAET: {
				Prioritaet prioritaet = (Prioritaet)theEObject;
				T result = casePrioritaet(prioritaet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.THEMA: {
				Thema thema = (Thema)theEObject;
				T result = caseThema(thema);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.BILD: {
				Bild bild = (Bild)theEObject;
				T result = caseBild(bild);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.ANTWORT: {
				Antwort antwort = (Antwort)theEObject;
				T result = caseAntwort(antwort);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.WORTART: {
				Wortart wortart = (Wortart)theEObject;
				T result = caseWortart(wortart);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.GENUS: {
				Genus genus = (Genus)theEObject;
				T result = caseGenus(genus);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.VIDEO: {
				Video video = (Video)theEObject;
				T result = caseVideo(video);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.ANTWORTEN_ANLEGEN: {
				AntwortenAnlegen antwortenAnlegen = (AntwortenAnlegen)theEObject;
				T result = caseAntwortenAnlegen(antwortenAnlegen);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.BILD_ANLEGEN: {
				BildAnlegen bildAnlegen = (BildAnlegen)theEObject;
				T result = caseBildAnlegen(bildAnlegen);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.AUDIO_ANLEGEN: {
				AudioAnlegen audioAnlegen = (AudioAnlegen)theEObject;
				T result = caseAudioAnlegen(audioAnlegen);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case EcoreIPackage.BEGRIFF_EINGABE: {
				BegriffEingabe begriffEingabe = (BegriffEingabe)theEObject;
				T result = caseBegriffEingabe(begriffEingabe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Begriff Container</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Begriff Container</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBegriffContainer(BegriffContainer object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Begriff</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Begriff</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBegriff(Begriff object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Audio</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Audio</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAudio(Audio object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kategorie</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kategorie</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKategorie(Kategorie object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Prioritaet</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Prioritaet</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePrioritaet(Prioritaet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Thema</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Thema</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseThema(Thema object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bild</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bild</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBild(Bild object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Antwort</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Antwort</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAntwort(Antwort object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Wortart</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Wortart</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseWortart(Wortart object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Genus</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Genus</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGenus(Genus object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Video</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Video</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVideo(Video object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Antworten Anlegen</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Antworten Anlegen</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAntwortenAnlegen(AntwortenAnlegen object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bild Anlegen</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bild Anlegen</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBildAnlegen(BildAnlegen object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Audio Anlegen</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Audio Anlegen</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAudioAnlegen(AudioAnlegen object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Begriff Eingabe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Begriff Eingabe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBegriffEingabe(BegriffEingabe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //EcoreISwitch
